mxConnectPreview (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.swing.handler
Class mxConnectPreview

    java.lang.Object
      com.mxgraph.util.mxEventSource
          com.mxgraph.swing.handler.mxConnectPreview

    public class mxConnectPreview

extends mxEventSource

Connection handler creates new connections between cells. This control is used to display the connector icon, while the preview is used to draw the line.

Nested Class Summary

Nested classes/interfaces inherited from class com.mxgraph.util.mxEventSource
`mxEventSource.mxIEventListener`

Field Summary
`protected mxGraphComponent` | `graphComponent`
`protected mxCellState` | `previewState`
`protected mxCellState` | `sourceState`
`protected mxPoint` | `startPoint`

Fields inherited from class com.mxgraph.util.mxEventSource
`eventListeners, eventsEnabled, eventSource`

Constructor Summary
`mxConnectPreview(mxGraphComponent graphComponent)`

Method Summary
`protected Object` | `createCell(mxCellState startState, String style)` Creates a new instance of mxShape for previewing the edge.
`protected Rectangle` | `getDirtyRect()`
`protected Rectangle` | `getDirtyRect(mxRectangle dirty)`
`mxCellState` | `getPreviewState()`
`mxCellState` | `getSourceState()`
`mxPoint` | `getStartPoint()`
`boolean` | `isActive()`
`void` | `paint(Graphics g)`
`protected void` | `paintPreview(mxGraphics2DCanvas canvas)` Draws the preview using the graphics canvas.
`void` | `revalidate(mxCellState pState, Object cell)`
`void` | `start(MouseEvent e, mxCellState startState, String style)` Updates the style of the edge preview from the incoming edge
`Object` | `stop(boolean commit)`
`Object` | `stop(boolean commit, MouseEvent e)`
`protected mxPoint` | `transformScreenPoint(double x, double y)`
`void` | `update(MouseEvent e, mxCellState targetState, double x, double y)`

Methods inherited from class com.mxgraph.util.mxEventSource
`addListener, fireEvent, fireEvent, getEventSource, isEventsEnabled, removeListener, removeListener, setEventsEnabled, setEventSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### graphComponent

    protected mxGraphComponent graphComponent

### previewState

    protected mxCellState previewState

### sourceState

    protected mxCellState sourceState

### startPoint

    protected mxPoint startPoint

Constructor Detail

### mxConnectPreview

    public mxConnectPreview(mxGraphComponent graphComponent)

Parameters:
  `graphComponent` -

Method Detail

### createCell

    protected Object createCell(mxCellState startState,
                                String style)

  Creates a new instance of mxShape for previewing the edge.

### isActive

    public boolean isActive()

### getSourceState

    public mxCellState getSourceState()

### getPreviewState

    public mxCellState getPreviewState()

### getStartPoint

    public mxPoint getStartPoint()

### start

    public void start(MouseEvent e,
                      mxCellState startState,
                      String style)

  Updates the style of the edge preview from the incoming edge

### update

    public void update(MouseEvent e,
                       mxCellState targetState,
                       double x,
                       double y)

### getDirtyRect

    protected Rectangle getDirtyRect()

### getDirtyRect

    protected Rectangle getDirtyRect(mxRectangle dirty)

### transformScreenPoint

    protected mxPoint transformScreenPoint(double x,
                                           double y)

### revalidate

    public void revalidate(mxCellState pState,
                           Object cell)

### paint

    public void paint(Graphics g)

### paintPreview

    protected void paintPreview(mxGraphics2DCanvas canvas)

  Draws the preview using the graphics canvas.

### stop

    public Object stop(boolean commit)

### stop

    public Object stop(boolean commit,
                       MouseEvent e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.